/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa_evection.entity.oa_evection;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.ActEntity;
import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Workattachment;
import org.activiti.engine.history.HistoricProcessInstance;
import org.activiti.engine.repository.ProcessDefinition;
import org.activiti.engine.runtime.ProcessInstance;
import org.activiti.engine.task.Task;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 出差流程Entity
 * @author 丁旭
 * @version 2017-05-22
 */
public class OaEvection extends ActEntity<OaEvection> {
	
	private static final long serialVersionUID = 1L;
	private String startTime;		// 开始时间
	private String endTime;		// 结束时间
	private String processInstanceId;		// 流程实例ID
	private String realityStartTime;		// 实际开始时间
	private String realityEndTime;		// 实际结束时间
	private String reason;		// 出差事由
	private String address;		// 出差地点
	private String dateCount;		// 出差天数
    private String companyId; //公司主键
	private String officeId;
    private String files; //
    private String status;		// 申请状态
    private String comment; //审核意见 目前只保存手机端审核
	private String ids;
	private String idNames;
	private String ida;
	private String idNamea;
	private String idb;
	private String idNameb;
	private String idc;
	private String idNamec;
	private String idd;
	private String idNamed;
	private String ide;
	private String idNamee;
	private String CCId;
	private Date createDateStart;
	private Date createDateEnd;
	private String name;
	private String time;
	private List<String> adds = Lists.newArrayList();
	private List<Workattachment> workattachmentList;
	private String home;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFiles() {
        return files;
    }

    public void setFiles(String files) {
        this.files = files;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

	// 流程任务
		private Task task;
		private Map<String, Object> variables;
		// 运行中的流程实例
		private ProcessInstance processInstance;
		// 历史的流程实例
		private HistoricProcessInstance historicProcessInstance;
		// 流程定义
		private ProcessDefinition processDefinition;
	
	
	
	
	public Task getTask() {
			return task;
		}

		public void setTask(Task task) {
			this.task = task;
		}

		public Map<String, Object> getVariables() {
			return variables;
		}

		public void setVariables(Map<String, Object> variables) {
			this.variables = variables;
		}

		public ProcessInstance getProcessInstance() {
			return processInstance;
		}

		public void setProcessInstance(ProcessInstance processInstance) {
			this.processInstance = processInstance;
		}

		public HistoricProcessInstance getHistoricProcessInstance() {
			return historicProcessInstance;
		}

		public void setHistoricProcessInstance(HistoricProcessInstance historicProcessInstance) {
			this.historicProcessInstance = historicProcessInstance;
		}

		public ProcessDefinition getProcessDefinition() {
			return processDefinition;
		}

		public void setProcessDefinition(ProcessDefinition processDefinition) {
			this.processDefinition = processDefinition;
		}

	public OaEvection() {
		super();
	}

	public OaEvection(String id){
		super(id);
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="开始时间", align=2, sort=7)
	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="结束时间", align=2, sort=8)
	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	
	@ExcelField(title="流程实例ID", align=2, sort=9)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="实际开始时间", align=2, sort=10)
	public String getRealityStartTime() {
		return realityStartTime;
	}

	public void setRealityStartTime(String realityStartTime) {
		this.realityStartTime = realityStartTime;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="实际结束时间", align=2, sort=11)
	public String getRealityEndTime() {
		return realityEndTime;
	}

	public void setRealityEndTime(String realityEndTime) {
		this.realityEndTime = realityEndTime;
	}
	
	@ExcelField(title="出差事由", align=2, sort=12)
	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}
	
	@ExcelField(title="出差地点", align=2, sort=13)
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}
	
	@ExcelField(title="出差天数", align=2, sort=14)
	public String getDateCount() {
		return dateCount;
	}

	public void setDateCount(String dateCount) {
		this.dateCount = dateCount;
	}

	public String getIds() {
		List<String> idList = Lists.newArrayList();
		if (StringUtils.isNotBlank(ids)) {
			String ss = ids.trim().replace("　", ",").replace(" ", ",").replace("，", ",").replace("'", "");
			for (String s : ss.split(",")) {
				// if(s.matches("\\d*")) {
				idList.add("'" + s + "'");
				// }
			}
		}
		return StringUtils.join(idList, ",");
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

	public String getIdNames() {
		List<String> idList = Lists.newArrayList();
		if (StringUtils.isNotBlank(idNames)) {
			String ss = idNames.trim().replace("　", ",").replace(" ", ",").replace("，", ",").replace("'", "");
			for (String s : ss.split(",")) {
				// if(s.matches("\\d*")) {
				idList.add("'" + s + "'");
				// }
			}
		}
		return StringUtils.join(idList, ",");
	}

	public void setIdNames(String idNames) {
		this.idNames = idNames;
	}

	@ExcelField(title="申请人", align=2, sort=12)
	public String getIda() {
		return ida;
	}

	public void setIda(String ida) {
		this.ida = ida;
	}

	public String getIdNamea() {
		return idNamea;
	}

	public void setIdNamea(String idNamea) {
		this.idNamea = idNamea;
	}

	public String getIdb() {
		return idb;
	}

	public void setIdb(String idb) {
		this.idb = idb;
	}

	public String getIdNameb() {
		return idNameb;
	}

	public void setIdNameb(String idNameb) {
		this.idNameb = idNameb;
	}

	public String getIdc() {
		return idc;
	}

	public void setIdc(String idc) {
		this.idc = idc;
	}

	public String getIdNamec() {
		return idNamec;
	}

	public void setIdNamec(String idNamec) {
		this.idNamec = idNamec;
	}

	public String getIdd() {
		return idd;
	}

	public void setIdd(String idd) {
		this.idd = idd;
	}

	public String getIdNamed() {
		return idNamed;
	}

	public void setIdNamed(String idNamed) {
		this.idNamed = idNamed;
	}

	public String getIde() {
		return ide;
	}

	public void setIde(String ide) {
		this.ide = ide;
	}

	public String getIdNamee() {
		return idNamee;
	}

	public void setIdNamee(String idNamee) {
		this.idNamee = idNamee;
	}

	public String getCCId() {
		return CCId;
	}

	public void setCCId(String CCId) {
		this.CCId = CCId;
	}

	public Date getCreateDateStart() {
		return createDateStart;
	}

	public void setCreateDateStart(Date createDateStart) {
		this.createDateStart = createDateStart;
	}

	public Date getCreateDateEnd() {
		return createDateEnd;
	}

	public void setCreateDateEnd(Date createDateEnd) {
		this.createDateEnd = createDateEnd;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public List<String> getAdds() {
		return adds;
	}

	public void setAdds(List<String> adds) {
		this.adds = adds;
	}

	public List<Workattachment> getWorkattachmentList() {
		return workattachmentList;
	}

	public void setWorkattachmentList(List<Workattachment> workattachmentList) {
		this.workattachmentList = workattachmentList;
	}

	public String getHome() {
		return home;
	}

	public void setHome(String home) {
		this.home = home;
	}
}