/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectReportRecord;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 报告归档DAO接口
 * @author 杨帆
 * @version 2018-06-22
 */
@MyBatisDao
public interface ProjectReportRecordDao extends CrudDao<ProjectReportRecord> {
    public String getNumber(@Param("reportId") String reportId);
    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(ProjectReportRecord workReimbursement);

    /**
     * 根据流程实例ID获取WorkReimbursement
     * @param processInstanceId
     * @return
     */
    public ProjectReportRecord getByProcessInstanceId(String processInstanceId);
}