/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workengineeringprice.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workengineeringprice.entity.WorkEngineeringPrice;
import com.jeeplus.modules.workengineeringprice.dao.WorkEngineeringPriceDao;

/**
 * 工程咨询项目三级校审项目信息Service
 * @author 杨帆
 * @version 2018-01-10
 */
@Service
@Transactional(readOnly = true)
public class WorkEngineeringPriceService extends CrudService<WorkEngineeringPriceDao, WorkEngineeringPrice> {

	public WorkEngineeringPrice get(String id) {
		return super.get(id);
	}
	public WorkEngineeringPrice getByEngineeringId(WorkEngineeringPrice workEngineeringPrice) {
		return dao.getByEngineeringId(workEngineeringPrice);
	}

	public List<WorkEngineeringPrice> findList(WorkEngineeringPrice workEngineeringPrice) {
		return super.findList(workEngineeringPrice);
	}
	
	public Page<WorkEngineeringPrice> findPage(Page<WorkEngineeringPrice> page, WorkEngineeringPrice workEngineeringPrice) {
		return super.findPage(page, workEngineeringPrice);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkEngineeringPrice workEngineeringPrice) {
		super.save(workEngineeringPrice);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkEngineeringPrice workEngineeringPrice) {
		super.delete(workEngineeringPrice);
	}
	
	
	
	
}