/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfield.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfield.entity.WorkField;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 外勤申请DAO接口
 * @author ssrh
 * @version 2018-09-06
 */
@MyBatisDao
public interface WorkFieldDao extends CrudDao<WorkField> {

    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkField workField);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkField getByProcessInstanceId(String processInstanceId);

    /**
     * 根据时间和档案id查询数据
     * @param staffId,time
     * @return
     */
    public WorkField getByStaffIdAndTime(@Param("staffId")String staffId, @Param("time")String time);

    List<WorkField> findListValidateTime(String staffId);
}