/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workloan.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workloan.entity.WorkLoan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 借款DAO接口
 * @author ssrh
 * @version 2018-10-16
 */
@MyBatisDao
public interface WorkLoanDao extends CrudDao<WorkLoan> {

   int updateReay(WorkLoan workLoan);

    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkLoan workLoan);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkLoan getByProcessInstanceId(String processInstanceId);
    //合同找数据
    List<WorkLoan> findListByContract(@Param("contractId") String  contractId, @Param("repayState")String repayState);
    //人员找数据
    List<WorkLoan> findListByUser(@Param("userId") String  userId, @Param("repayState")String repayState);
}