/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprequalification.dao;

import com.jeeplus.modules.workclientinfo.entity.WorkClientInfo;
import java.util.List;
import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workprequalification.entity.WorkPrequalification;

/**
 * 投标资格预审DAO接口
 * @author  mengxy
 * @version 2017-05-24
 */
@MyBatisDao
public interface WorkPrequalificationDao extends CrudDao<WorkPrequalification> {

	public List<WorkClientInfo> findListBybiddingCompany(WorkClientInfo biddingCompany);
	
	
	
	/**
	 * 取得工程成员用户数据
	 * @param user
	 * @return
	 */
	public List<String> getProjectMember(WorkPrequalification workPrequalification);
	
	
	
	/**
	 * 取得工程成员用户数据
	 * @param user
	 * @return
	 */
	public List<String> getProjectMaster(WorkPrequalification workPrequalification);
	
	
	/**
	 * 插入工程成员用户数据
	 * @param user
	 * @return
	 */
	public int insertProjectMember(WorkPrequalification workPrequalification);
	
	/**
	 * 插入工程负责人用户数据
	 * @param user
	 * @return
	 */
	public int insertProjectMaster(WorkPrequalification workPrequalification);
	
	/**
	 * 删除工程用户关联数据
	 * @param user
	 * @return
	 */
	public int deleteProjectUser(WorkPrequalification workPrequalification);

	/**
	 *  删除成员用户和资格预审工程关联表数据
	 * @param user
	 * @return
	 */
	public int deleteProjectMember(WorkPrequalification workPrequalification);


	/**
	 * 删除负责人用户和资格预审工程关联表数据 
	 * @param user
	 * @return
	 */
	public int deleteProjectMaster(WorkPrequalification workPrequalification);





}