/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstock.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workstock.entity.WorkStock;

/**
 * 物品采购DAO接口
 * @author lw
 * @version 2018-07-13
 */
@MyBatisDao
public interface WorkStockDao extends CrudDao<WorkStock> {

    /**
     * 更新流程实例ID
     * @return
     */
    public int updateProcessInstanceId(WorkStock workStock);

    /**
     * 根据流程实例ID获取
     * @param processInstanceId
     * @return
     */
    public WorkStock getByProcessInstanceId(String processInstanceId);
}