<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>电子签章信息管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>电子签章信息列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="iSignatureDocument" action="${ctx}/isignature/iSignatureDocument" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
        <div class="form-group">
            <%--<span>文档编号：</span>
            <input name="recordId" maxlength="50" class=" form-control input-sm"/>--%>
            <span>文档主题：</span>
            <input name="subject" maxlength="50" class=" form-control input-sm"/>
        </div>
    </form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="isignature:iSignatureDocument:add">
				<table:addRow url="${ctx}/isignature/iSignatureDocument/form" title="电子签章信息"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<%--<shiro:hasPermission name="isignature:iSignatureDocument:edit">
			    <table:editRow url="${ctx}/isignature/iSignatureDocument/form" title="电子签章信息"  id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>--%>
			<shiro:hasPermission name="isignature:iSignatureDocument:del">
				<table:delRow url="${ctx}/isignature/iSignatureDocument/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="isignature:iSignatureDocument:import">
				<table:importExcel url="${ctx}/isignature/iSignatureDocument/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="isignature:iSignatureDocument:export">
	       		<table:exportExcel url="${ctx}/isignature/iSignatureDocument/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
			<button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>

			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column recordId">文档编号</th>
				<th  class="sort-column subject">文档主题</th>
				<th  class="sort-column type">文档类型</th>
				<th  class="sort-column status">文档状态</th>
				<th  class="sort-column companyId">当前公司</th>
				<th  class="sort-column remarks">备注信息</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="iSignatureDocument">
			<tr>
				<td> <input type="checkbox" id="${iSignatureDocument.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看电子签章信息', '${ctx}/isignature/iSignatureDocument/form?id=${iSignatureDocument.id}','800px', '500px')">
					${iSignatureDocument.recordId}
				</a></td>
				<td>
					${iSignatureDocument.subject}
				</td>
				<td>
					${iSignatureDocument.type}
				</td>
				<td>
					${iSignatureDocument.status}
				</td>
				<td>
					${iSignatureDocument.companyId}
				</td>
				<td>
					${iSignatureDocument.remarks}
				</td>
				<td>
					<shiro:hasPermission name="isignature:iSignatureDocument:view">
						<a href="#" onclick="openDialogView('查看电子签章信息', '${ctx}/isignature/iSignatureDocument/form?id=${iSignatureDocument.id}','1000px', '600px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<%--<shiro:hasPermission name="isignature:iSignatureDocument:edit">
						<a href="#" onclick="openDialog('修改电子签章信息', '${ctx}/isignature/iSignatureDocument/sign?id=${iSignatureDocument.id}','1000px', '600px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 签章</a>
					</shiro:hasPermission>--%>
					<shiro:hasPermission name="isignature:iSignatureDocument:edit">
						<a href="${ctx}/isignature/iSignatureDocument/sign?id=${iSignatureDocument.id}" class="btn btn-success btn-xs" target="_blank"><i class="fa fa-edit"></i> 签章</a>
					</shiro:hasPermission>
    				<shiro:hasPermission name="isignature:iSignatureDocument:del">
						<a href="${ctx}/isignature/iSignatureDocument/delete?id=${iSignatureDocument.id}" onclick="return confirmx('确认要删除该电子签章信息吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>