<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>报告详情管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                if(obj == 1){
                    $("#inputForm").attr("action","${ctx}/projectcontentinfo/projectcontentinfo/saveInvalidAudit?view=reportInvalid");
                }else{
                    $("#inputForm").attr("action","${ctx}/projectcontentinfo/projectcontentinfo/saveInvalid?view=reportInvalid");
                }
                $("#inputForm").submit();
                return true;
            }

            return false;
        }
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            laydate.render({
                elem: '#reportDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
        });

		function getFee() {
			var rf = $("#reviewFee").val();
			var af = $("#approvalFee").val();
			if(rf != ''&& af !=''){
				var hf = parseInt(rf)-parseInt(af);
				var rate = Math.round(parseInt(hf) / parseInt(rf) * 100) / 100 * 100
				$("#verifyFee").val(hf);
				$("#verifyRate").val(rate);
			}
			if(af !=''){
				$("#consultFee").val(af)
			}
		}
	</script>
</head>
<body>
<div class="single-form">
	<div class="container${container}  view-form">
		<form:form id="inputForm" modelAttribute="projectcontentinfo"  method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<form:hidden path="parentIds"/>
		<form:hidden path="projectReportData.id"/>
		<form:hidden path="projectReportData.createBy.id"/>
		<sys:message content="${message}"/>
		<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>基本信息</h2></div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>报告名称：</label>
				<div class="layui-input-block with-icon">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectcontentinfo.projectReportData.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>报告编号：</label>
				<div class="layui-input-block">
					<div class="input-group">
						<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${projectcontentinfo.projectReportData.number}"/>
						<span class="input-group-btn">
								<label class="form-status">
									<c:choose>
										<c:when test="${not empty projectcontentinfo.projectReportData.status}">${fns:getDictLabel(projectcontentinfo.projectReportData.status, 'audit_state', '')}
										</c:when>
										<c:otherwise>新添</c:otherwise>
									</c:choose></label>
							 </span>
					</div>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>工作内容类型：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getContentTypeName(projectcontentinfo.projectReportData.type,"")}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">成果类型：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${fns:getMainDictLabel(projectcontentinfo.projectReportData.achievementType, 'achievement_type', '')}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">复核标准：</label>
				<div class="layui-input-block">
					<input htmlEscape="false"  readonly="true" class="form-control layui-input" value="${fns:getDictLabel(projectcontentinfo.projectReportData.reviewStandard, 'reviewStandard', '')}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">报告日期：</label>
				<div class="layui-input-block">
					<input id="provideDate" name="projectReportData.provideDate" type="text" htmlEscape="false" readonly="true" class="laydate-icondate form-control layer-date required layui-input laydate-icon"
						   value="<fmt:formatDate value="${projectcontentinfo.projectReportData.reportDate}" pattern="yyyy-MM-dd"/>"/>
				</div>
			</div>
			<%--<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师一：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.signCostOne.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">签字造价师二：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.signCostTwo.name}"/>
				</div>
			</div>--%>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">负责人：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${projectcontentinfo.projectReportData.master.name}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label">归档状态：</label>
				<div class="layui-input-block">
					<input  htmlEscape="false" readonly="true" class="form-control  layui-input" value="${fns:getDictLabel(projectcontentinfo.projectReportData.fileStatus, 'record_state', '')}"/>
				</div>
			</div>
			<div class="layui-item layui-col-sm6">
				<label class="layui-form-label"><span class="require-item">*</span>作废原因：</label>
				<div class="layui-input-block">
					<form:textarea path="projectReportData.remarks" htmlEscape="false" rows="3"    class="form-control required"/>
				</div>
			</div>
		</div>
			<div class="form-group layui-row first lw12">
				<div class="form-group-label"><h2>项目信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">送审价(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="reviewFee" path="projectReportData.reviewFee" htmlEscape="false"  class="form-control layui-input number" onchange="getFee()" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">审定价(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="approvalFee" path="projectReportData.approvalFee" htmlEscape="false"  class="form-control layui-input number" onchange="getFee()" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">合同价(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="contractFee" path="projectReportData.contractFee" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">核增核减额(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="verifyFee" path="projectReportData.verifyFee" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">核增核减率(%)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="verifyRate" path="projectReportData.verifyRate" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">咨询标的额(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="consultFee" path="projectReportData.consultFee" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">土建造价(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="buildingFee" path="projectReportData.buildingFee" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label">安装造价(元)：</label>
					<div class="layui-input-block with-icon">
						<form:input id="installFee" path="projectReportData.installFee" htmlEscape="false"  class="form-control layui-input number" readonly="true"/>
					</div>
				</div>
			</div>
			<div class="form-group layui-row first lw12">
				<div class="form-group-label"><h2>依据性资料明细</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container">
					<table id="contentTableBase" class="table table-bordered table-condensed details">
						<thead>
						<tr>
							<th class="hide"></th>
							<th >资料编号</th>
							<th >资料名称</th>
							<th >资料类别</th>
							<th >上传人</th>
							<th >上传日期</th>
						</tr>
						</thead>
						<tbody id="workBaseDataList">
						<c:forEach items="${projectcontentinfo.projectReportData.projectBasedDataList}" var="projectBasedData" varStatus="idx">
							<tr>
								<td class="hide">
									<input type="hidden" id="workBaseDataList${idx.index}_id" value="${projectBasedData.id}">
								</td>
								<td style="text-align:center;">
										${projectBasedData.number}
								</td>
								<td style="text-align:center;">
										${projectBasedData.name}
								</td>
								<td style="text-align:center;">
										${fns:getDictLabel(projectBasedData.type, 'project_document_type', '')}
								</td>
								<td style="text-align:center;">
										${projectBasedData.uploadUser.name}
								</td>
								<td style="text-align:center;">
									<fmt:formatDate value="${projectBasedData.uploadDate}" pattern="yyyy-MM-dd"/>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			<div class="form-group layui-row first lw12">
			<div class="form-group-label"><h2>依据工作内容</h2></div>
			<!-- 表格 -->
			<div class="layui-item layui-col-xs12" style="padding:0 16px;">
				<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
					<thead>
					<tr>
						<th style="text-align: center;width:20%">工作内容编号</th>
						<th style="text-align: center;width:20%">工作内容名称</th>
						<th style="text-align: center;width:20%">工作内容类型</th>
						<th style="text-align: center;width:20%">负责人</th>
						<th style="text-align: center;width:20%">创建时间</th>
					</tr>
					</thead>
					<tbody id="projectContentDataList">
					<c:forEach items="${projectcontentinfo.projectReportData.projectContentDataList}" var="projectContentData" varStatus="index">
						<tr>
							<td>
									${projectContentData.number}
							</td>
							<td>
									${projectContentData.name}
							</td>
							<td>
									${fns:getContentTypeName(projectContentData.type,"")}
							</td>
							<td>
									${projectContentData.master.name}
							</td>
							<td>
								<fmt:formatDate value="${projectContentData.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
		<div class="form-group layui-row">
			<div class="form-group-label"><h2>报告文件</h2></div>
			<div class="layui-item layui-col-xs12" style="padding:0 16px;">
				<table id="upTable" class="table table-bordered table-condensed details">
					<thead>
					<tr>
						<%-- <th>序号</th>--%>
						<th>文件预览</th>
						<th>上传人</th>
						<th>上传时间</th>
						<th width="150px">操作</th>
					</tr>
					</thead>
					<tbody id="file_attachment">
					<c:forEach items="${projectcontentinfo.projectReportData.workAttachments}" var = "workClientAttachment" varStatus="status">
						<tr>
								<%-- <td>${status.index + 1}</td>--%>
							<c:choose>
								<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
									<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
								</c:when>
								<c:otherwise>
									<c:choose>
										<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
										</c:when>
										<c:otherwise>
											<td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
										</c:otherwise>
									</c:choose>
								</c:otherwise>
							</c:choose>
							<td>${workClientAttachment.createBy.name}</td>
							<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
							<td class="op-td">
								<div class="op-btn-box" >
									<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
								</div>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>
			</div>
		</div>
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>自检</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container">
					<table id="contentTable2" class="table details table-bordered table-condensed">
						<thead>
						<tr>
							<th style="text-align: center;width:15%">序号</th>
							<th style="text-align: center;width:70%">复核内容及评分标准</th>
							<th style="text-align: center;width:15%">操作</th>
						</tr>
						</thead>
						<tbody id="projectContentDataList2">
						<c:forEach items="${projectcontentinfo.projectReportData.projectReviewList}" var="projectReview" varStatus="index">
							<tr>
								<td>
									<input id="projectReviewList${index.index}_id" name="projectReportData.projectReviewList[${index.index}].id" type="hidden" value="${projectReview.id}"/>
									<input id="projectReviewList${index.index}_delFalg" name="projectReportData.projectReviewList[${index.index}].delFalg" type="hidden" value="1"/>
									<input id="projectReviewList${index.index}_remarks" name="projectReportData.projectReviewList[${index.index}].remarks" type="hidden" value="${projectReview.remarks}"/>
										${index.index + 1}
								</td>
								<td>
										${projectReview.standardDetail}
								</td>

								<td>
									<c:choose>
										<c:when test="${not empty projectReview.remarks}">
											<div class="check-ok">
												<i class="fa fa-check"></i>
											</div>
										</c:when>
										<c:otherwise>
											<div id = "check1${projectReview.id}">
											</div>
											<div id = "check2${projectReview.id}" class="check-ok" style="display: none">
												<i class="fa fa-check"></i>
											</div>
										</c:otherwise>
									</c:choose>
								</td>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
		<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>