<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>意见反馈管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="suggestion" action="${ctx}/sys/suggestion/" method="post" class="form-inline">
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<shiro:hasPermission name="sys:suggestion:add">
						<table:addRow url="${ctx}/sys/suggestion/form" title="意见反馈"></table:addRow><!-- 增加按钮 -->
					</shiro:hasPermission>
					<shiro:hasPermission name="sys:suggestion:edit">
						<table:editRow url="${ctx}/sys/suggestion/form" title="意见反馈" id="contentTable"></table:editRow><!-- 编辑按钮 -->
					</shiro:hasPermission>
					<shiro:hasPermission name="sys:suggestion:del">
						<table:delRow url="${ctx}/sys/suggestion/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
					</shiro:hasPermission>
					<shiro:hasPermission name="sys:suggestion:import">
						<table:importExcel url="${ctx}/sys/suggestion/import"></table:importExcel><!-- 导入按钮 -->
					</shiro:hasPermission>
					<shiro:hasPermission name="sys:suggestion:export">
						<table:exportExcel url="${ctx}/sys/suggestion/export"></table:exportExcel><!-- 导出按钮 -->
					</shiro:hasPermission>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>

	
				<!-- 表格 -->
				<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
					<thead>
						<tr>
							<th width="40"> <input type="checkbox" class="i-checks"></th>
							<th style="text-align: center;"  class="sort-column content">反馈内容</th>
							<th width="180" style="text-align:center"  class="sort-column updateDate">更新时间</th>
							<th style="text-align:center"  class="sort-column remarks">备注</th>
							<th width="180" style="text-align: center;">操作</th>
						</tr>
					</thead>
					<tbody>
					<c:forEach items="${page.list}" var="suggestion">
						<tr>
							<td> <input type="checkbox" id="${suggestion.id}" class="i-checks"></td>
							<td><a class="attention-info" href="javascript:void(0)" onclick="openDialogView('查看意见反馈', '${ctx}/sys/suggestion/form?id=${suggestion.id}&view=1','95%','95%')">
								${suggestion.content}
							</a></td>
							<td>
								<fmt:formatDate value="${suggestion.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
							</td>
							<td>
								${suggestion.remarks}
							</td>
							<td class="op-td text-center">
								<div class="op-btn-box">
								<shiro:hasPermission name="sys:suggestion:view">
									<a href="javascript:void(0)" onclick="openDialogView('查看意见反馈', '${ctx}/sys/suggestion/form?id=${suggestion.id}&view=1','95%','95%')" class="op-btn op-btn-view" ><i class="fa fa-search-plus"></i> 查看</a>
								</shiro:hasPermission>
								<shiro:hasPermission name="sys:suggestion:edit">
									<a href="javascript:void(0)" onclick="openDialog('修改意见反馈', '${ctx}/sys/suggestion/form?id=${suggestion.id}','95%','95%')" class="op-btn op-btn-edit" ><i class="fa fa-edit"></i> 修改</a>
								</shiro:hasPermission>
								<shiro:hasPermission name="sys:suggestion:del">
									<a href="${ctx}/sys/suggestion/delete?id=${suggestion.id}" onclick="return confirmx('确认要删除该意见反馈吗？', this.href)"   class="op-btn op-btn-delete"><i class="fa fa-trash"></i> 删除</a>
								</shiro:hasPermission>
								</div>
							</td>
						</tr>
					</c:forEach>
					</tbody>
				</table>

					<!-- 分页代码 -->
				<table:page page="${page}"></table:page>

				<div style="clear: both;"></div>

			</div>
		</div>
	</div>
</div>
<script>
    $("a").on("click",addLinkVisied);

    resizeListWindow3();
    $(window).resize(function(){
        resizeListWindow3();
    });
</script>
</body>
</html>