<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>工作日志管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
			<form:form id="searchForm" modelAttribute="workReport" action="${ctx}/work/report/workReport/${getList}${outList}" method="post" class="form-inline">
				<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
				<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
				<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->

				<div class="commonQuery">
					<div class="layui-item query athird">
						<label class="layui-form-label">类型：</label>
						<div class="layui-input-block with-icon">
							<form:select path="type"  class="form-control simple-select">
								<form:option value="" label=""/>
								<form:options items="${fns:getDictList('work_report_type')}" itemLabel="label" itemValue="value" htmlEscape="false"/>
							</form:select>
						</div>
					</div>

					<div class="layui-item query athird">
						<label class="layui-form-label">发布人：</label>
						<div class="layui-input-block">
							<form:input path="create" htmlEscape="false"    class="form-control layui-input"/>
						</div>
					</div>
					<div class="layui-item athird">
						<div class="input-group">
							<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
							<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
							<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
						</div>
					</div>
					<div style="    clear:both;"></div>
				</div>
				<div id="moresees" style="clear:both;display:none;">
					<div class="layui-item query athird">
						<label class="layui-form-label">阅读状态：</label>
						<div class="layui-input-block">
							<form:select path="readFlag"  class="form-control simple-select">
								<form:option value="" label=""/>
								<form:option value="0" label="未读"/>
								<form:option value="1" label="已读"/>
							</form:select>
						</div>
					</div>
					<div style="clear:both;"></div>
				</div>
			</form:form>
			</div>
		</div>
		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable"></table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
	<div id="changewidth"></div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'index',align:'center',  width:40,title: '序号'}
                ,{field:'type',align:'center', title: '类型', minWidth:150}
                ,{field:'status',align:'center', title: '阅读状态', minWidth:150}
                ,{field:'createDate',align:'center', title: '发布时间', minWidth:150}
                ,{field:'createBy', align:'center',title: '发布人', minWidth:150}
                ,{field:'op',align:'center',title:"操作",width:80,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.canview != undefined && d.canview == "1")
                            xml += "<a href=\"javascript:void(0)\" onclick=\"openDialogView('查看工作日志', '${ctx}/work/report/workReport/form?id=" + d.id + "&readAttr=disabled&view=view&updateReadFlag=updateReadFlag','95%','95%')\" class=\"op-btn op-btn-view\" ><i class=\"fa fa-search-plus\"></i>查看</a>";
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workReport" varStatus="varStatus">
                <c:if test="${varStatus.index != 0}">,</c:if>
                {
                    "index":"${varStatus.index+1}"
                    ,"id":"${workReport.id}"
                    ,"type":"${fns:getDictLabel(workReport.type, 'work_report_type', '')}"
                    ,"status":"${fns:getDictLabel(workReport.readFlag, 'oa_notify_read', '')}"
                    ,"createDate":"<fmt:formatDate value="${workReport.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"
                    ,"createBy":"${workReport.createBy.name}"
                    <shiro:hasPermission name="work:report:workReport:view">,"canview":"1"</shiro:hasPermission>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })

    resizeListTable(80);
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {
        //搜索框收放
        $('#moresee').click(function(){
            if($('#moresees').is(':visible'))
            {
                $('#moresees').slideUp(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
            }else{
                $('#moresees').slideDown(0,resizeListWindow1);
                $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
            }
        });

    })
</script>

</body>
</html>