<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>考勤规则</title>
	<meta name="decorator" content="default"/>
	<style type="text/css">
		img {width: 50px; height: 50px;}
	</style>
	<script type="text/javascript" src="${ctxStatic}/ckeditor/ckeditor.js"></script>
	<script type="text/javascript" language="JavaScript" for="window" event="onload">
        var validateForm;
        function doSubmit(obj){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                if(obj == 1){
                    $('#flag').val('yes');
                }else{
                    $('#flag').val('no');
                }
                $("#inputForm").submit();
                return true;
            }
            return false;
        }
       
        $(document).ready(function() {
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });

        });
	</script>

</head>
<body >
<div class="single-form">
	<div class="container view-form">
		<form:form id="inputForm" modelAttribute="workAttendanceInfo" enctype="multipart/form-data" action="${ctx}/workattendance/workAttendanceInfo/saveAudit" method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<form:hidden path="ids"/>
			<form:hidden path="flag"/>
			<form:hidden path="home"/>
			<sys:message content="${message}"/>
			<div class="form-group layui-row first">
				<div class="form-group-label"><h2>补卡信息</h2></div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>补卡类型:</label>
					<div class="layui-input-block with-icon">
						<input htmlEscape="false" readonly="true"  class="form-control layui-input" value="${fns:getDictLabel(workAttendanceInfo.type, 'attendance_type', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>上午/下午:</label>
					<div class="layui-input-block">
						<input htmlEscape="false" readonly="true"  class="form-control layui-input" value="${fns:getDictLabel(workAttendanceInfo.morningAfternoon, 'am_pm', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>考勤类型:</label>
					<div class="layui-input-block">
						<input htmlEscape="false" readonly="true"  class="form-control layui-input" value="${fns:getDictLabel(workAttendanceInfo.attendanceType, 'attendance_info_type', '')}"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>补卡时间:</label>
					<div class="layui-input-block">
						<input htmlEscape="false" readonly="true"  class="form-control layui-input" value="<fmt:formatDate value="${workAttendanceInfo.updateDate}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm6">
					<label class="layui-form-label"><span class="require-item">*</span>补卡原因:</label>
					<div class="layui-input-block">
						<input htmlEscape="false" readonly="true"  class="form-control layui-input" value="${workAttendanceInfo.remarks}"/>
					</div>
				</div>
			</div>
			<div class="form-group layui-row">
				<div class="form-group-label"><h2>图片</h2></div>
				<div class="layui-item layui-col-xs12 form-table-container" >
					<table id="upTable" class="table table-bordered table-condensed details">
						<thead>
						<tr>
							<th>文件预览</th>
							<th>上传人</th>
							<th>上传时间</th>
							<th width="150px">操作</th>
						</tr>
						</thead>
						<tbody id="file_attachment">
						<c:forEach items="${workAttendanceInfo.workAttachments}" var = "workClientAttachment" varStatus="status">
							<tr>
								<c:choose>
									<c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
										<td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}">
										<td>${workClientAttachment.createBy.name}</td>
										<td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
										<td class="op-td">
											<div class="op-btn-box" >
												<a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
											</div>
										</td>
									</c:when>
									<c:otherwise>

									</c:otherwise>
								</c:choose>
							</tr>
						</c:forEach>
						</tbody>
					</table>
				</div>
			</div>
			<div class="form-group layui-row page-end"></div>
		</form:form>
	</div>
</div>
</body>
</html>