<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>投标项目管理</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(function () {
            if (${requestScope.linkmanList !=null}) {
                var defaultLinkmanName = "";
                $.each(JSON.parse('${requestScope.linkmanList}'), function (n, value) {
                    var optionTag = '<option id="linkman_attr_' + n + '" type="text" value=' + n + '>' + value.linkmanName + '</option>';
                    $("#linkman_list").append(optionTag);
                    if (n == 0) {
                        defaultLinkmanName = value.linkmanName;
                    }
                });
                $("#linkman_list option:first").prop("selected", "selected").text(defaultLinkmanName);
            }
        });

        /**
         * 查看联系人（需要用到linkManList）
         */
        function selectLinkman(index, target) {
            if (target == 'linkman') {
                var manList = JSON.parse('${requestScope.linkmanList}');

                var linkman = manList[index];
                $("#linkmanOffice").val(linkman.linkmanOffice);
                $("#linkmanPosition").val(linkman.linkmanPosition);
                $("#QQ").val(linkman.QQ);
                $("#linkmanPhone").val(linkman.linkmanPhone);
                $("#linkmanMobile").val(linkman.linkmanMobile);
                $("#linkmanEmail").val(linkman.linkmanEmail);
            }
        }

    </script>
</head>
<body>
<div class="single-form view-form">
    <div class="container">
        <form:form id="inputForm" modelAttribute="workBidProject" action="${ctx}/workbidproject/workBidProject/save"
                   method="post" class="form-horizontal">
            <%--<form:hidden path="id"/>--%>
            <div class="form-group layui-row first lw16">
                <div class="form-group-label"><h2>基础信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>投标名称：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.projectName}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投标编号：</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <input path="projectNumber" htmlEscape="false" readonly="true"
                                   class="form-control layui-input" value="${workBidProject.projectNumber}"/>
                            <span class="input-group-btn">
								<label class="form-status">
									<c:choose>
										<c:when test="${not empty workBidProject.status}">
											${fns:getDictLabel(workBidProject.status, 'audit_state', '')}
										</c:when>
										<c:otherwise>新添</c:otherwise>
									</c:choose>
								</label>
                         	</span>
                        </div>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>工程分类：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.projectType, 'contract_type', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">类型说明：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.typeExplain}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">项目来源：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.projectSource, 'bidProjectSource', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">来源说明：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.sourceExplain}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">项目规模：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.projectScale}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">规模类型：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.scaleType, 'scale_type', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">规模单位：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.scaleUnit, 'scale_unit', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投资额（万元）：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatNumber value="${workBidProject.investMoney}" pattern="#,#00.00"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">是否外部招标单位：</label>
                    <div class="layui-input-block">
                        <c:choose>
                            <c:when test="${workBidProject.isExt == '1'}">
                                <input htmlEscape="false" readonly="true" class="form-control layui-input"
                                       value="系统外招标单位"/>
                            </c:when>
                            <c:otherwise>
                                <input htmlEscape="false" readonly="true" class="form-control layui-input"
                                       value="系统内招标单位"/>
                            </c:otherwise>
                        </c:choose>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>招标单位：</label>
                    <div class="layui-input-block with-icon">
                        <c:choose>
                            <c:when test="${workBidProject.isExt == '1'}">
                                <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                                       value="${workBidProject.extCompany}"/>
                            </c:when>
                            <c:otherwise>
                                <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                                       value="${workBidProject.bidCompany.name}"/>
                            </c:otherwise>
                        </c:choose>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control layui-input"
                               value="${workBidProject.officeName}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">招标编号：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.bidNumber}"/>
                    </div>
                </div>
                <c:if test="${workBidProject.isSubcontract == 0}">
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">中标结果：</label>
                        <div class="layui-input-block">
                            <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                                   value="已中标"/>
                        </div>
                    </div>
                </c:if>
                <c:if test="${workBidProject.isSubcontract == 1}">
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label">中标结果：</label>
                        <div class="layui-input-block">
                            <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                                   value="未中标"/>
                        </div>
                    </div>
                </c:if>

            </div>

            <div class="form-group layui-row">
                <div class="form-group-label"><h2>联系人</h2></div>
                <div class="layui-item layui-col-xs12 form-table-container">
                    <table id="contentTable2" class="table table-bordered table-condensed details no-bottom-margin">
                        <thead>
                        <tr>
                            <th width="18%"><span class="require-item">*</span>联系人姓名</th>
                            <th width="13%">部门</th>
                            <th width="13%">职务</th>
                            <th width="13%">QQ</th>
                            <th width="16%"><span class="require-item">*</span>联系方式1</th>
                            <th width="16%">联系方式2</th>
                            <th width="13%">E-mail</th>
                        </tr>
                        </thead>
                        <tbody id="workClientLinkmanList">
                        <c:forEach items="${workBidProject.workClientLinkmanList}" var="workClientLinkman"
                                   varStatus="status">
                            <tr>
                                <td>${workClientLinkman.name}</td>
                                <td>${workClientLinkman.office}</td>
                                <td>${workClientLinkman.position}</td>
                                <td>${workClientLinkman.qq}</td>
                                <td>${workClientLinkman.linkPhone}</td>
                                <td>${workClientLinkman.linkMobile}</td>
                                <td>${workClientLinkman.email}</td>
                            </tr>
                        </c:forEach>
                        <c:if test="${empty workBidProject.workClientLinkmanList}">
                            <tr>
                                <td colspan="8">暂无数据</td>
                            </tr>
                        </c:if>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="form-group layui-row">
                <div class="form-group-label"><h2>招标代理机构</h2></div>
                <div class="layui-item layui-col-xs12 form-table-container">
                    <table id="contentTable3" class="table table-bordered table-condensed details no-bottom-margin">
                        <thead>
                        <tr>
                            <th width="20%"><span class="require-item">*</span>机构名称</th>
                            <th width="20%">姓名</th>
                            <th width="20%"><span class="require-item">*</span>联系人电话</th>
                            <th width="20%">QQ</th>
                            <th width="22%">E-mail</th>
                        </tr>
                        </thead>
                        <tbody id="workClientLinkmanLists">
                        <c:forEach items="${workBidProject.workClientLinkmanLists}" var="workClientLinkman"
                                   varStatus="status">
                            <tr>
                                <td>${workClientLinkman.office}</td>
                                <td>${workClientLinkman.name}</td>
                                <td>${workClientLinkman.linkPhone}</td>
                                <td>${workClientLinkman.qq}</td>
                                <td>${workClientLinkman.email}</td>
                            </tr>
                        </c:forEach>
                        <c:if test="${empty workBidProject.workClientLinkmanList}">
                            <tr>
                                <td colspan="8">暂无数据</td>
                            </tr>
                        </c:if>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="form-group layui-row lw16">
                <div class="form-group-label"><h2>投标详情</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">报名日期：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatDate value="${workBidProject.registrationDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>投标日期：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatDate value="${workBidProject.bidDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">资审日期：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatDate value="${workBidProject.trialDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">资格审查：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getDictLabel(workBidProject.trialType, 'trial_type', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">文件费用（元）：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatNumber value="${workBidProject.documentCost}" pattern="#,#00.00"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投标保证金（元）：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatNumber value="${workBidProject.bidBond}" pattern="#,#00.00"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投标保证金形式：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.bondStyle, 'bond_style', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投标保证金交付时间：</label>
                    <div class="layui-input-block with-icon">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatDate value="${workBidProject.giveDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">投标保证金退还时间：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="<fmt:formatDate value="${workBidProject.refundDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">项目协作部门：</label>
                    <div class="layui-input-block with-icon">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.office.name}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">是否联合体投标：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getDictLabel(workBidProject.isBid, 'is_bid', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">业务类型：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${fns:getMainDictLabel(workBidProject.businessType, 'business_type', '')}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12">
                    <label class="layui-form-label">对外协作单位：</label>
                    <div class="layui-input-block">
                        <input htmlEscape="false" readonly="true" class="form-control required layui-input"
                               value="${workBidProject.subcontractCompany}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label"><span class="require-item">*</span>项目概况：</label>
                    <div class="layui-input-block">
                        <textarea htmlEscape="false" rows="4"
                                  class="form-control ">${workBidProject.projectSituation}</textarea>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">服务内容：</label>
                    <div class="layui-input-block">
                        <textarea htmlEscape="false" rows="4"
                                  class="form-control ">${workBidProject.serviceContent}</textarea>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">备注信息：</label>
                    <div class="layui-input-block">
                        <textarea htmlEscape="false" rows="4" class="form-control ">${workBidProject.remarks}</textarea>
                    </div>
                </div>
            </div>

            <div class="form-group layui-row">
                <div class="form-group-label"><h2>投标附件信息</h2></div>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                    <table id="upTable" class="table table-bordered table-condensed details">
                        <thead>
                        <tr>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workBidProject.workAttachments}" var="workClientAttachment"
                                   varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50"
                                                 onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')"
                                                 alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));"
                                       class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>

                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="form-group layui-row">
                <div class="form-group-label"><h2>价格附件信息</h2></div>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                    <table id="upTable2" class="table table-bordered table-condensed details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件名称</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment2">
                        <c:forEach items="${workBidProject.workAttachmentsprice}" var="workClientAttachment"
                                   varStatus="status">
                            <tr>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50"
                                                 onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')"
                                                 alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));"
                                       class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>招投标附件信息</h2></div>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                    <table id="upTable3" class="table table-bordered table-condensed details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件名称</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment3">
                        <c:forEach items="${workBidProject.workAttachmentsbid}" var="workClientAttachment"
                                   varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50"
                                                 onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')"
                                                 alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));"
                                       class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="form-group layui-row">
                <div class="form-group-label"><h2>开标附件信息</h2></div>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">

                    <table id="upTable4" class="table table-bordered table-condensed details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件名称</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment4">
                        <c:forEach items="${workBidProject.workAttachmentsopenbid}" var="workClientAttachment"
                                   varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
																   or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50"
                                                 onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')"
                                                 alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a href="javascript:void(0)"
                                                       onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a>
                                                </td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));"
                                       class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>

                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="form-group layui-row page-end"></div>
        </form:form>
    </div>
</div>
</body>
</html>