<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>日常事务管理</title>
	<meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
    <div class="container">
		<form:form id="inputForm" modelAttribute="workDailyRoutineDetail" action="${ctx}/workdailyroutine/workDailyRoutine/saveDetail" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<form:hidden path="home"/>
		<form:hidden path="workDailyRoutine.id"/>
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基本信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>事务名称：</label>
                    <div class="layui-input-block">
                        <input type="text" htmlEscape="false" readonly="true" value="${workDailyRoutineDetail.workDailyRoutine.name}" class="form-control layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>事务来源：</label>
                    <div class="layui-input-block">
                        <input type="text" htmlEscape="false" readonly="true" value="${workDailyRoutineDetail.workDailyRoutine.source}" class="form-control layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">创建人：</label>
                    <div class="layui-input-block">
                        <input type="text" htmlEscape="false" readonly="true" value="${workDailyRoutineDetail.workDailyRoutine.createBy.name}" class="form-control layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workDailyRoutineDetail.workDailyRoutine.office.topCompany}"/>
                        <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workDailyRoutineDetail.workDailyRoutine.office.id}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">创建时间：</label>
                    <div class="layui-input-block">
                        <input type="text" htmlEscape="false" value="<fmt:formatDate value="${workDailyRoutineDetail.workDailyRoutine.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>" readonly="true" class="form-control layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">事务状态：</label>
                    <div class="layui-input-block">
                        <input type="text" htmlEscape="false" readonly="true" value="${workDailyRoutineDetail.workDailyRoutine.status}" class="form-control layui-input"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">具体要求：</label>
                    <div class="layui-input-block">
                        <textarea htmlEscape="false" readonly="true"  rows="3" class="form-control">${workDailyRoutineDetail.workDailyRoutine.remarks}</textarea>
                    </div>
                </div>
            </div>
            <div class="form-group layui-row lw12">
                <div class="form-group-label"><h2>执行详情</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>姓    名：</label>
                    <div class="layui-input-block">
                        <form:input path="operator.name" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                        <form:hidden path="operator.id" htmlEscape="false"    class="form-control "/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>部    门：</label>
                    <div class="layui-input-block">
                        <form:input path="office.name" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>完成日期：</label>
                    <div class="layui-input-block">
                        <input id="updateDate" name="updateDate" type="text" maxlength="20" class="form-control layui-input" readonly="true"
                               value="<fmt:formatDate value="${workDailyRoutineDetail.updateDate}" pattern="yyyy-MM-dd"/>"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>完成状态：</label>
                    <div class="layui-input-block">
                        <form:input path="status" htmlEscape="false" readonly="true" class="form-control layui-input"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label"><span class="require-item">*</span>完成情况说明：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" htmlEscape="false" rows="3" readonly="true" class="form-control"/>
                    </div>
                </div>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>附件信息</h2></div>
                <div class="layui-item layui-col-xs12" style="padding:0 16px;">
                    <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workDailyRoutineDetail.workDailyRoutine.workAttachments}" var = "workClientAttachment" varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <div class="op-btn-box" >
                                        <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
	</form:form>
    </div>
</div>
</body>
</html>