<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>设备询价记录管理</title>
    <meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
    <div class="container">
        <div class="form-group layui-row">
            <div class="form-group-label"><h2>设备询价记录</h2></div>
            <div class="layui-item layui-col-xs12 form-table-container">
                <table class="table table-bordered table-condensed no-bottom-margin details">
                    <thead>
                    <tr>
                        <th><font color="red">*</font>设备名称</th>
                        <th><font color="red">*</font>设备型号</th>
                        <th><font color="red">*</font>单位</th>
                        <th><font color="red">*</font>生产厂家</th>
                        <th><font color="red">*</font>联系电话</th>
                        <th><font color="red">*</font>单价（元）</th>
                        <th>备注</th>
                    </tr>
                    </thead>
                    <tbody>
                    <c:if test="${not empty workDeviceXjRecord.workDeviceRecordList}">
                        <c:forEach items="${workDeviceXjRecord.workDeviceRecordList}" var="workDeviceRecord"
                                   varStatus="index">
                            <tr id="workDeviceRecordList${index.index}">
                                <td class="hide">
                                        ${workDeviceRecord.id}
                                </td>
                                <td>
                                        ${workDeviceRecord.deviceName}
                                </td>

                                <td>
                                        ${workDeviceRecord.deviceKind}
                                </td>
                                <td>
                                        ${workDeviceRecord.deviceUnit}
                                </td>
                                <td>
                                        ${workDeviceRecord.deviceCreator}
                                </td>
                                <td>
                                        ${workDeviceRecord.devicePhone}
                                </td>
                                <td>
                                        ${workDeviceRecord.devicePrice}
                                </td>
                                <td>
                                        ${workDeviceRecord.remarks}
                                </td>
                            </tr>
                        </c:forEach>
                    </c:if>
                    </tbody>
                </table>
                <div class="form-group layui-row first">
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>询价时间：</label>
                        <div class="layui-input-block">
                            <input id="askTime" name="workDeviceXjRecord.askTime" readonly="true" maxlength="20"
                                   class="laydate-icondate form-control layer-date required layui-input laydate-icon"
                                   value="<fmt:formatDate value="${workDeviceXjRecord.askTime}" pattern="yyyy-MM-dd" />"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label"><span class="require-item">*</span>询价人员：</label>
                        <div class="layui-input-block with-icon">
                            <sys:treeselect id="askUser" name="workDeviceXjRecord.askUser.id" disabled="disabled"
                                            value="${projectControlTable.workDeviceXjRecord.askUser.id}"
                                            labelName="workDeviceXjRecord.askUser.name"
                                            labelValue="${workDeviceXjRecord.askUser.name}"
                                            title="用户" url="/sys/office/treeData?type=3"
                                            cssClass="form-control required layui-input"
                                            allowClear="true" notAllowSelectParent="true"/>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
