<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
    <title>工程概况</title>
    <meta name="decorator" content="default"/>
    <script type="text/javascript">
        $(document).ready(function() {
            //搜索框收放
            $('#moresee').click(function(){
                if($('#moresees').is(':visible'))
                {
                    $('#moresees').slideUp(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
                }else{
                    $('#moresees').slideDown(0,resizeListWindow1);
                    $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
                }
            });
        });
        function changeInfo(id) {
            $("#dictId").val(id);
            search();
        }
    </script>
    <style>
        body{
            background-color:transparent;
            filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
            color:#ffffff;
            background-color:rgba(255,255,255,0);
            height:100%;
        }
    </style>
</head>
<body>
<div class="wrapper wrapper-content">
    <sys:message content="${message}"/>
    <div class="layui-row">
        <div class="full-width fl">
            <div class="contentShadow layui-row" id="queryDiv">

                <form:form id="searchForm" modelAttribute="workExample" action="${ctx}/workexample/workExample/example" method="post" class="form-inline">
                    <%--<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->--%>
                    <input id="dictId" name="dictId" type="hidden" value="${workExample.dictId}"/>
                    <div class="commonQuery lw8">
                        <div class="layui-item query athird">
                            <label class="layui-form-label">工程指标：</label>
                            <div class="layui-input-block with-icon">
                                <sys:treeselect id="exampleType" name="exampleType" value="${workExample.exampleType}" labelName="exampleTypeName" labelValue="${workExample.exampleTypeName}"
                                                title="工程指标类型" url="/workexample/workExampleIndices/treeDataExampleSelect" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
                            </div>
                        </div>
                        <div class="layui-item query athird">
                            <label class="layui-form-label">工程地点：</label>
                            <div class="layui-input-block with-icon">
                                <sys:treeselect id="area" name="area.id" value="${workExample.area.id}" labelName="area.name" labelValue="${workExample.area.name}"
                                                title="区域" url="/sys/area/treeData" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="false"/>
                            </div>
                        </div>
                        <div class="layui-item athird">
                            <div class="input-group">
                                <button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()">重置</button>
                                <button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
                            </div>
                        </div>
                        <div style="    clear:both;"></div>
                    </div>
                </form:form>
            </div>
        </div>
        <div class="full-width fl">
            <div class="contentShadow layui-form contentDetails">
                <div class="nav-btns">
                    <button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
                    <div style="clear: both;"></div>
                </div>
                <div class="single-form view-form">
                    <div class="container">
                        <div class="form-group layui-row first">
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">工程类型：</label>
                                <div class="layui-input-block">
                                    <input id="workType" path="workType" readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.workType}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label">样 本 量：</label>
                                <div class="layui-input-block">
                                    <input readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.counts}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">总建设规模(㎡)：</label>
                                <div class="layui-input-block">
                                    <input readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.sums}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">平均建设规模(㎡)：</label>
                                <div class="layui-input-block">
                                    <input readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.avgs}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">最小建设规模(㎡)：</label>
                                <div class="layui-input-block">
                                    <input readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.mins}"/>
                                </div>
                            </div>
                            <div class="layui-item layui-col-sm6 lw7">
                                <label class="layui-form-label double-line">最大建设规模(㎡)：</label>
                                <div class="layui-input-block">
                                    <input readonly="true" htmlEscape="false" class="form-control required layui-input" value="${workExample.maxs}"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="changewidth"></div>
</div>
</body>
</html>