<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>项目登记管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
        function openDialogre(title,url,width,height,target){
            if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
                width='auto';
                height='auto';
            }else{//如果是PC端，根据用户设置的width和height显示。

            }
            top.layer.open({
                type: 2,
                area: [width, height],
                title: title,
                maxmin: true, //开启最大化最小化按钮
                content: url ,
                btn: ['保存','关闭'],
                yes: function(index, layero){
                    var body = top.layer.getChildFrame('body', index);
                    var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                    var inputForm = body.find('#inputForm');
                    var top_iframe;
                    if(target){
                        top_iframe = target;//如果指定了iframe，则在改frame中跳转
                    }else{
                        top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                    }
                    inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                    if(iframeWin.contentWindow.doSubmit()){
                        setTimeout(function(){
                            top.layer.close(index);
                        },1000);
					}
                },
                cancel: function(index){
                }
            });
        }
	</script>
</head>
<body class="gray-bg">
<div class="wrapper wrapper-content">
	<div class="ibox">
		<div class="ibox-title" style="height: 70px;">
			<h5>
				<ul class="nav nav-tabs">
					<li><a href="${ctx}/workfullmanage/workFullRecord/queryToList">待办任务</a></li>
					<li><a href="${ctx}/workfullmanage/workFullRecord/queryCompleteList">已办任务</a></li>
					<li class="active"><a href="${ctx}/workfullmanage/workFullRecord/list">项目归档信息</a></li>
				</ul>
			</h5>
			<div class="ibox-tools">
				<a class="collapse-link">
					<i class="fa fa-chevron-up"></i>
				</a>
				<a class="dropdown-toggle" data-toggle="dropdown" href="javascript:void(0)">
					<i class="fa fa-wrench"></i>
				</a>

			</div>
		</div>

		<div class="ibox-content">
			<sys:message content="${message}"/>

			<!--查询条件-->
			<div class="row">
				<div class="col-sm-12">
					<form:form id="searchForm" modelAttribute="workFullManage" action="${ctx}/workfullmanage/workFullRecord/" method="post" class="form-inline">
						<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
						<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
						<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
						<div class="form-group">
							<label>项目编号：</label>
							<form:input path="fullProjectNumber" htmlEscape="false"    class="form-control required"/>
							<label>项目名称：</label>
							<form:input path="fullProjectName" htmlEscape="false"    class="form-control required"/>
							<p></p>
						</div>
					</form:form>
					<br/>
				</div>
			</div>

			<!-- 工具栏 -->
			<div class="row">
				<div class="col-sm-12">
					<div class="pull-right">
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
						<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
					</div>
				</div>
			</div>

			<!-- 表格 -->
			<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
				<thead>
				<tr>
					<th> <input type="checkbox" class="i-checks"></th>
					<th  class="sort-column fullProjectNumber">项目编号</th>
					<th  class="sort-column fullProjectName">项目名称</th>
					<th  class="sort-column ciName">客户单位</th>
					<th  class="sort-column ''">项目负责人</th>
					<th  class="sort-column createDate">创建日期</th>
					<th  class="sort-column fullProjectStatus">归档状态</th>
					<th  class="sort-column ''">项目归档</th>
					<th  class="sort-column ''">流程追踪</th>
					<th>操作</th>
				</tr>
				</thead>
				<tbody>
				<c:choose>
					<c:when test="${not empty page.list}">
						<c:forEach items="${page.list}" var="workFullManage">
							<tr>
								<td> <input type="checkbox" id="${workFullManage.id}" class="i-checks"></td>
								<td>
									<span title="${workFullManage.fullProjectNumber}">${fns:abbr(workFullManage.fullProjectNumber,30)}</span>
								</td>
								<td>
									<a  href="javascript:void(0)" onclick="openDialogView('查看项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=0','80%','80%')">
										<span title="${workFullManage.fullProjectName}">${fns:abbr(workFullManage.fullProjectName,30)}</span>
									</a>
								</td>
								<td>
									<a  href="javascript:void(0)" onclick="openDialogView('查看客户合同信息', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}&tabId=3','80%','80%')">
										<span title="${workFullManage.ciName}">${fns:abbr(workFullManage.ciName,30)}</span>
									</a>
								</td>
								<td>
									${workFullManage.hostMasterName}
								</td>
								<td>
									<fmt:formatDate value="${workFullManage.createDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
								</td>
								<td>
									<c:choose>
										<c:when test="${ not empty workFullManage.workFullRecord.backRecordStatus}">
											${fns:getDictLabel(workFullManage.workFullRecord.backRecordStatus, 'back_record_status', '')}
										</c:when>
										<c:otherwise>
											未归档
										</c:otherwise>
									</c:choose>
								</td>
								<td>
									<c:choose>
										<c:when test="${workFullManage.fullProjectStatus == 5}">
											<c:choose>
												<c:when test="${fn:contains(workFullManage.hostMaster, fns:getUser().id) or workFullManage.createBy.id == fns:getUser().id}">
													<c:choose>
														<c:when test="${not empty workFullManage.workFullRecord.backRecordStatus}">
															<%--<a href="javascript:void(0)" onclick="openDialogre('项目归档','${ctx}/workfullmanage/workFullRecord/form?id=${workFullManage.workFullRecord.id}&manage_id=${workFullManage.id}&tabId=4','80%','80%')" class="btn btn-info btn-xs">项目归档</a>--%>
															<a href="javascript:parent.layer.msg('流程已经启动',{icon:6})" class="btn btn-success btn-xs">启动流程</a>
														</c:when>
														<c:otherwise>
															<a href="${ctx}/workfullmanage/workFullRecord/startProcess?engineeringId=${workFullManage.id}" class="btn btn-info btn-xs">启动流程</a>
														</c:otherwise>
													</c:choose>
												</c:when>
												<c:otherwise>
													<a href="javascript:parent.layer.msg('只有项目登记人和项目负责人可操作',{icon:5})" class="btn btn-default btn-xs">启动流程</a>
												</c:otherwise>
											</c:choose>
										</c:when>
										<c:otherwise>
											<a href="javascript:parent.layer.msg('项目还未到归档阶段，暂无法启动流程',{icon:5})" class="btn btn-default btn-xs">启动流程</a>
										</c:otherwise>
									</c:choose>

								</td>
								<td>
									<a href="javascript:void(0)" onclick="openDialogView('流程追踪', '${ctx}/workfullmanage/workFullRecord/getProcessOne?id=${workFullManage.workFullRecord.id}','80%','80%')" class="btn btn-info btn-xs" > 流程追踪</a>
								</td>
								<td>
									<%--<shiro:hasPermission name="workfullmanage:workFullManage:edit">--%>
										<%--<a href="javascript:void(0)" onclick="openDialog('修改项目登记', '${ctx}/workfullmanage/workFullManage/form?id=${workFullManage.id}','80%','80%')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 查看</a>--%>
									<%--</shiro:hasPermission>--%>
									<%--<shiro:hasPermission name="workfullmanage:workFullManage:del">--%>
										<%--<a href="${ctx}/workfullmanage/workFullManage/delete?id=${workFullManage.id}" onclick="return confirmx('确认要删除该项目登记吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>--%>
									<%--</shiro:hasPermission>--%>
									<a href="javascript:void(0)" onclick="openDialogre('查看','${ctx}/workfullmanage/workFullRecord/form?id=${workFullManage.workFullRecord.id}&manage_id=${workFullManage.id}&tabId=5','80%','80%')" class="btn btn-info btn-xs">查看</a>
								</td>
							</tr>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<tr>
							<td colspan="10" align="center"> 暂无数据</td>
						</tr>
					</c:otherwise>
				</c:choose>
				</tbody>
			</table>

			<!-- 分页代码 -->
			<table:page page="${page}"></table:page>
			<br/>
			<br/>
		</div>
	</div>
</div>
</body>
</html>