<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>会议纪要管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
			laydate.render({
				elem: '#meetingTime', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
				event: 'focus', //响应事件。如果没有传入event，则按照默认的click
				type : 'datetime'
			});
		});
	</script>
</head>
<body class="hideScroll">
		<form:form id="inputForm" modelAttribute="workFullMeetingminutes"  method="post" class="form-horizontal">
			<form:hidden path="id"/>
			<form:hidden path="workFullManageId"/>
			<input type="hidden" name="listpage" value="${listpage}"/>
			<sys:message content="${message}"/>
			<table class="table table-bordered  table-condensed dataTables-example dataTable no-footer">
		   <tbody>
		   		<tr>
					<td class="width-15 active" rowspan="6"><label class="pull-right">会议信息</label></td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">来源单位：</label></td>
					<td class="width-30">
						<form:input path="sourceCompany" htmlEscape="false"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>会议时间：</label></td>
					<td class="width-30">
						<input id="meetingTime" name="meetingTime" type="text" maxlength="20" class="laydate-icondate form-control required layer-date "
							   value="<fmt:formatDate value="${workFullMeetingminutes.meetingTime}" pattern="yyyy-MM-dd HH:mm:ss"/>"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>会议地点：</label></td>
					<td class="width-40" colspan="3">
						<form:input path="meetingAddress" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">会议记录人：</label></td>
					<td class="width-30">
						<sys:treeselect id="meetingRecorderId" name="meetingRecorderId"
										  value="${workFullMeetingminutes.meetingRecorderId}" labelName="meetingRecorder.name" labelValue="${workFullMeetingminutes.meetingRecorder.name}"
										  title="会议记录人" url="/sys/office/treeDataAll?type=3" cssClass="form-control "
										  notAllowSelectParent="true"/>
					</td>
					<td class="width-15 active"><label class="pull-right">召开部门：</label></td>
					<td class="width-30">
						<sys:treeselect id="meetingOffice" name="meetingOffice" value="${workFullMeetingminutes.meetingOffice}" labelName="office.name" labelValue="${workFullMeetingminutes.office.name}"
										title="部门" url="/sys/office/treeDataAll?type=2" cssClass="form-control input-sm" allowClear="true" notAllowSelectParent="true"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right">与会人员：</label></td>
					<td class="width-40" colspan="3">
						<sys:treeselect id="meetingMembers" name="meetingMembers"
										  value="${workFullMeetingminutes.meetingMembers}" labelName="meetingMembersNames" labelValue="${workFullMeetingminutes.meetingMembersNames}"
										  title="与会人员" url="/sys/office/treeDataAll?type=3" cssClass="form-control "
										  notAllowSelectParent="true" checked="true" />
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>会议主题：</label></td>
					<td class="width-40" colspan="3">
						<form:textarea path="meetingTopic" htmlEscape="false"    class="form-control required"/>
					</td>
		  		</tr>
		 	</tbody>
		</table>
	</form:form>
</body>
</html>