<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>采购验收物品管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		$(document).ready(function() {
		});
	</script>
</head>
<body class="gray-bg">
	<div class="wrapper wrapper-content">
	<div class="ibox">
	<div class="ibox-title">
		<h5>采购验收物品列表 </h5>
		<div class="ibox-tools">
			<a class="collapse-link">
				<i class="fa fa-chevron-up"></i>
			</a>
			<a class="dropdown-toggle" data-toggle="dropdown" href="#">
				<i class="fa fa-wrench"></i>
			</a>
			<ul class="dropdown-menu dropdown-user">
				<li><a href="#">选项1</a>
				</li>
				<li><a href="#">选项2</a>
				</li>
			</ul>
			<a class="close-link">
				<i class="fa fa-times"></i>
			</a>
		</div>
	</div>
    
    <div class="ibox-content">
	<sys:message content="${message}"/>
	
	<!--查询条件-->
	<div class="row">
	<div class="col-sm-12">
	<form:form id="searchForm" modelAttribute="workItemStock" action="${ctx}/workitemstock/workItemStock/" method="post" class="form-inline">
		<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
		<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
		<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
		<div class="form-group">
		 </div>	
	</form:form>
	<br/>
	</div>
	</div>
	
	<!-- 工具栏 -->
	<div class="row">
	<div class="col-sm-12">
		<div class="pull-left">
			<shiro:hasPermission name="workitemstock:workItemStock:add">
				<table:addRow url="${ctx}/workitemstock/workItemStock/form" title="采购验收物品"></table:addRow><!-- 增加按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitemstock:workItemStock:edit">
			    <table:editRow url="${ctx}/workitemstock/workItemStock/form" title="采购验收物品" id="contentTable"></table:editRow><!-- 编辑按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitemstock:workItemStock:del">
				<table:delRow url="${ctx}/workitemstock/workItemStock/deleteAll" id="contentTable"></table:delRow><!-- 删除按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitemstock:workItemStock:import">
				<table:importExcel url="${ctx}/workitemstock/workItemStock/import"></table:importExcel><!-- 导入按钮 -->
			</shiro:hasPermission>
			<shiro:hasPermission name="workitemstock:workItemStock:export">
	       		<table:exportExcel url="${ctx}/workitemstock/workItemStock/export"></table:exportExcel><!-- 导出按钮 -->
	       	</shiro:hasPermission>
	       <button class="btn btn-white btn-sm " data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i> 刷新</button>
		
			</div>
		<div class="pull-right">
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="search()" ><i class="fa fa-search"></i> 查询</button>
			<button  class="btn btn-primary btn-rounded btn-outline btn-sm " onclick="reset()" ><i class="fa fa-refresh"></i> 重置</button>
		</div>
	</div>
	</div>
	
	<!-- 表格 -->
	<table id="contentTable" class="table table-striped table-bordered table-hover table-condensed dataTables-example dataTable">
		<thead>
			<tr>
				<th> <input type="checkbox" class="i-checks"></th>
				<th  class="sort-column remarks">备注信息</th>
				<th  class="sort-column stockId">采购申请主键</th>
				<th  class="sort-column catalogueItemId">物品目录id</th>
				<th  class="sort-column count">数量</th>
				<th  class="sort-column price">单价</th>
				<th  class="sort-column totalPrice">合计</th>
				<th  class="sort-column contractId">采购合同</th>
				<th  class="sort-column supplierName">供应商</th>
				<th  class="sort-column isAssets">是否固定资产</th>
				<th  class="sort-column number">物品编号</th>
				<th  class="sort-column name">物品名称</th>
				<th  class="sort-column type">物品分类</th>
				<th  class="sort-column model">规格型号</th>
				<th  class="sort-column primaryUnit">计量单位</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${page.list}" var="workItemStock">
			<tr>
				<td> <input type="checkbox" id="${workItemStock.id}" class="i-checks"></td>
				<td><a  href="#" onclick="openDialogView('查看采购验收物品', '${ctx}/workitemstock/workItemStock/form?id=${workItemStock.id}','800px', '500px')">
					${workItemStock.remarks}
				</a></td>
				<td>
					${workItemStock.stockId}
				</td>
				<td>
					${workItemStock.catalogueItemId}
				</td>
				<td>
					${workItemStock.count}
				</td>
				<td>
					${workItemStock.price}
				</td>
				<td>
					${workItemStock.totalPrice}
				</td>
				<td>
					${workItemStock.contractId}
				</td>
				<td>
					${workItemStock.supplierName}
				</td>
				<td>
					${workItemStock.isAssets}
				</td>
				<td>
					${workItemStock.number}
				</td>
				<td>
					${workItemStock.name}
				</td>
				<td>
					${workItemStock.type}
				</td>
				<td>
					${workItemStock.model}
				</td>
				<td>
					${workItemStock.primaryUnit}
				</td>
				<td>
					<shiro:hasPermission name="workitemstock:workItemStock:view">
						<a href="#" onclick="openDialogView('查看采购验收物品', '${ctx}/workitemstock/workItemStock/form?id=${workItemStock.id}','800px', '500px')" class="btn btn-info btn-xs" ><i class="fa fa-search-plus"></i> 查看</a>
					</shiro:hasPermission>
					<shiro:hasPermission name="workitemstock:workItemStock:edit">
    					<a href="#" onclick="openDialog('修改采购验收物品', '${ctx}/workitemstock/workItemStock/form?id=${workItemStock.id}','800px', '500px')" class="btn btn-success btn-xs" ><i class="fa fa-edit"></i> 修改</a>
    				</shiro:hasPermission>
    				<shiro:hasPermission name="workitemstock:workItemStock:del">
						<a href="${ctx}/workitemstock/workItemStock/delete?id=${workItemStock.id}" onclick="return confirmx('确认要删除该采购验收物品吗？', this.href)"   class="btn btn-danger btn-xs"><i class="fa fa-trash"></i> 删除</a>
					</shiro:hasPermission>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	
		<!-- 分页代码 -->
	<table:page page="${page}"></table:page>
	<br/>
	<br/>
	</div>
	</div>
</div>
</body>
</html>