<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>发文管理管理</title>
	<meta name="decorator" content="default"/>
</head>
<body>
<div class="single-form">
    <div class="container view-form">
		<form:form id="inputForm" modelAttribute="workSendMessage" action="${ctx}/worksendmessage/workSendMessage/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
            <div class="form-group layui-row first">
                <div class="form-group-label"><h2>基本信息</h2></div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>发文标题：</label>
                    <div class="layui-input-block">
                        <form:input path="title" htmlEscape="false"  readonly="true"  class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>发文文号：</label>
                    <div class="layui-input-block">
                        <div class="input-group">
                            <form:input path="num" htmlEscape="false"  readonly="true"  class="form-control  layui-input"/>
                            <span class="input-group-btn">
                                <label class="form-status"><c:choose><c:when test="${not empty workSendMessage.state}">${fns:getDictLabel(workSendMessage.state, 'audit_state', '')}</c:when><c:otherwise>新添</c:otherwise></c:choose></label>
                             </span>
                        </div>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>发文类型：</label>
                    <div class="layui-input-block">
                        <input type="text"  htmlEscape="false" value="${fns:getMainDictLabel(workSendMessage.docType, 'doc_type', '')}" readonly="readonly" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>发文日期：</label>
                    <div class="layui-input-block">
                        <input type="text" name="createDate" htmlEscape="false" value="<fmt:formatDate value="${workSendMessage.createDate}" pattern="yyyy-MM-dd"/>" readonly="readonly" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label"><span class="require-item">*</span>拟 稿 人：</label>
                    <div class="layui-input-block">
                        <form:input path="person" htmlEscape="false" readonly="true" class="form-control  layui-input required"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm6">
                    <label class="layui-form-label">所属部门：</label>
                    <div class="layui-input-block">
                        <input type="text" name="office.name" readonly="readonly" class="form-control layui-input"  value="${workSendMessage.office.topCompany}"/>
                        <input type="hidden" name="office.id" readonly="readonly" class="form-control layui-input"  value="${workSendMessage.office.id}"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">发文摘要：</label>
                    <div class="layui-input-block">
                        <form:textarea path="summary" readonly="true" htmlEscape="false" rows="3" class="form-control"/>
                    </div>
                </div>
                <div class="layui-item layui-col-sm12 with-textarea">
                    <label class="layui-form-label">备    注：</label>
                    <div class="layui-input-block">
                        <form:textarea path="remarks" readonly="true" htmlEscape="false" rows="3" class="form-control"/>
                    </div>
                </div>
            </div>
            <div class="form-group layui-row">
                <div class="form-group-label"><h2>附件信息</h2></div>
                <div class="layui-item layui-col-xs12 form-table-container" >
                    <table id="listAttachment" class="table table-bordered table-condensed no-bottom-margin details">
                        <thead>
                        <tr>
                                <%-- <th>序号</th>--%>
                            <th>文件预览</th>
                            <th>上传人</th>
                            <th>上传时间</th>
                            <th width="150px">操作</th>
                        </tr>
                        </thead>
                        <tbody id="file_attachment">
                        <c:forEach items="${workSendMessage.workAttachments}" var = "workClientAttachment" varStatus="status">
                            <tr>
                                    <%-- <td>${status.index + 1}</td>--%>
                                <c:choose>
                                    <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpg')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'png')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'gif')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'bmp')
                                                           or fn:containsIgnoreCase(workClientAttachment.attachmentName,'jpeg')}">
                                        <td><img src="${workClientAttachment.url}" width="50" height="50" onclick="openDialogView('预览','${ctx}/sys/picturepreview/picturePreview?url=${workClientAttachment.url}','90%','90%')" alt="${workClientAttachment.attachmentName}"></td>
                                    </c:when>
                                    <c:otherwise>
                                        <c:choose>
                                            <c:when test="${fn:containsIgnoreCase(workClientAttachment.attachmentName,'pdf')}">
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%','1')">${workClientAttachment.attachmentName}</a></td>
                                            </c:when>
                                            <c:otherwise>
                                                <td><a class="attention-info" href="javascript:void(0)" onclick="preview('预览','${workClientAttachment.url}','90%','90%')">${workClientAttachment.attachmentName}</a></td>
                                            </c:otherwise>
                                        </c:choose>
                                    </c:otherwise>
                                </c:choose>
                                <td>${workClientAttachment.createBy.name}</td>
                                <td><fmt:formatDate value="${workClientAttachment.createDate}" type="both"/></td>
                                <td class="op-td">
                                    <div class="op-btn-box" >
                                        <a href="javascript:location.href='${ctx}/workfullmanage/workFullManage/downLoadAttach?file='+encodeURIComponent(encodeURIComponent('${workClientAttachment.url}'));" class="op-btn op-btn-download"><i class="fa fa-download"></i>&nbsp;下载</a>
                                    </div>
                                </td>
                            </tr>
                        </c:forEach>
                        </tbody>
                    </table>
                </div>
            </div>
	</form:form>
    </div>
</div>
</body>
</html>